Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.ereignis
Class Bildschirm

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          sum.ereignis.Bildschirm

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants

Direct Known Subclasses:
  Fenster

    public class Bildschirm

extends JFrame

Ein Bildschirm ist das Modell des angeschlossenen Computerbildschirms. Auf ihm kann mit Stiften gezeichnet werden. Zu diesem Zweck ist die Zeichenebene auf dem Bildschirm mit einem Koordinatensystem versehen, dessen Ursprung sich in der oberen linken Ecke der Zeichenebene befindet und dessen Achsen horizontal nach rechts und vertikal nach unten gerichtet sind. Die Einheit ist ein Pixel. Der Bildschirm kann mit Doppelpufferung versehen werden. Das bedeutet, dass statt auf den Bildschirm in ein verstecktes Bild gezeichnet wird. Dieses Bild kann mit dem Auftrag zeichneDich() im Bildschirm angezeigt werden.

Version:
  7.3 vom 11.10.2011
Author:
  Bernard Schriek
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static Bildschirm` | `hatPrivatschirm`
`static Bildschirm` | `topFenster`
`protected static int` | `zFensternummer`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`` | `Bildschirm()` Der Bildschirm ist mit seiner Zeichenebene initialisiert.
`` | `Bildschirm(boolean pMitDoubleBuffering)` Der Bildschirm ist mit seiner Zeichenebene initialisiert.
`` | `Bildschirm(int pBreite, int pHoehe)` Der Bildschirm ist mit seiner Zeichenebene initialisiert.
`` | `Bildschirm(int pBreite, int pHoehe, boolean pMitDoubleBuffering)` Der Bildschirm ist mit seiner Zeichenebene initialisiert.
`` | `Bildschirm(int pLinks, int pOben, int pBreite, int pHoehe)` Der Bildschirm ist mit seiner Zeichenebene initialisiert.
`` | `Bildschirm(int pLinks, int pOben, int pBreite, int pHoehe, boolean pMitDoubleBuffering)` Der Bildschirm ist mit seiner Zeichenebene initialisiert.
`protected` | `Bildschirm(int pLinks, int pOben, int pBreite, int pHoehe, String pName, boolean pMitDoubleBuffering)` Der Bildschirm ist mit seiner Zeichenebene initialisiert.

Method Summary
`protected void` | `bearbeiteFokusErhalten()` wird intern aufgerufen.
`boolean` | `besitztFokus()` Liefert die Information, ob der Bildschirm den Fokus besitzt.
`int` | `breite()` liefert die Breite der Zeichenebene.
`void` | `doUpdate(JComponent pKomponente)` wird intern aufgerufen.
`protected Graphics` | `g()` wird intern aufgerufen.
`void` | `gibFrei()` Der Bildschirm wird zerstoert.
`Color` | `hintergrundfarbe()` wird intern aufgerufen.
`int` | `hoehe()` liefert die Hoehe der Zeichenebene.
`void` | `immerNachVorn()` Der Bildschirm (das Fenster) wird ganz nach vorn geholt und steht in Zukunft vor allen andern Fenstern.
`protected void` | `init2DGraphics()` wird intern aufgerufen.
`void` | `loescheAlles()` Die Zeichenebene ist danach leer.
`protected void` | `merkeGroesse(int x, int y)` wird intern aufgerufen.
`void` | `nachHinten()` Der Bildschirm (das Fenster) wird nach hinten verschoben und verliert den Fokus.
`void` | `nachVorn()` Der Bildschirm (das Fenster) wird nach vorn geholt und erhält den Fokus.
`void` | `paint(Graphics g)` wird intern aufgerufen.
`JPanel` | `privatPanel()` wird intern aufgerufen.
`void` | `setzeFarbe(Color pFarbe)` aendert die Hintergrundfarbe der Zeichenebene.
`void` | `setzeFarbe(int pFarbe)` aendert die Hintergrundfarbe der Zeichenebene.
`void` | `setzeFokus()` Der Bildschirm erhaelt den Fokus.
`void` | `update(Graphics g)` wird intern aufgerufen.
`void` | `verstecke()` Der Bildschirm wird unsichtbar.
`protected void` | `warte(long zeit)` wird intern aufgerufen.
`void` | `zeichneDich()` wenn der Blildschirm gepuffert ist, wird das gepufferte Bild jetzt angezeigt, falls der Bildschirm nicht gepuffert ist, bewirkt diese Anweisung nichts.
`void` | `zeige()` Der Bildschirm wird sichtbar.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### hatPrivatschirm

    public static Bildschirm hatPrivatschirm

### topFenster

    public static Bildschirm topFenster

### zFensternummer

    protected static int zFensternummer

Constructor Detail

### Bildschirm

    public Bildschirm()

  Der Bildschirm ist mit seiner Zeichenebene initialisiert. Die Fenstergroesse entspricht der Bildschirmgroesse.

### Bildschirm

    public Bildschirm(boolean pMitDoubleBuffering)

  Der Bildschirm ist mit seiner Zeichenebene initialisiert. Die Fenstergroesse entspricht der Bildschirmgroesse.

  Parameters:
    `pMitDoubleBuffering` - soll der Bildschim gepuffert werden

### Bildschirm

    public Bildschirm(int pBreite,
                      int pHoehe)

  Der Bildschirm ist mit seiner Zeichenebene initialisiert. Die Breite und Hoehe des Bildschirms werden als Parameter uebergeben.

  Parameters:
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Hoehe des Fensters

### Bildschirm

    public Bildschirm(int pBreite,
                      int pHoehe,
                      boolean pMitDoubleBuffering)

  Der Bildschirm ist mit seiner Zeichenebene initialisiert. Die Breite und Hoehe des Bildschirms werden als Parameter uebergeben.

  Parameters:
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Hoehe des Fensters
    `pMitDoubleBuffering` - soll der Bildschim gepuffert werden

### Bildschirm

    public Bildschirm(int pLinks,
                      int pOben,
                      int pBreite,
                      int pHoehe)

  Der Bildschirm ist mit seiner Zeichenebene initialisiert. Die linke obere Ecke sowie die Breite und Hoehe des Bildschirms werden als Parameter uebergeben.

  Parameters:
    `pLinks` - der Abstand des Fensters vom linken Bildschirmrand
    `pOben` - der Abstand des Fensters vom oberen Bildschirmrand
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Hoehe des Fensters

### Bildschirm

    public Bildschirm(int pLinks,
                      int pOben,
                      int pBreite,
                      int pHoehe,
                      boolean pMitDoubleBuffering)

  Der Bildschirm ist mit seiner Zeichenebene initialisiert. Die linke obere Ecke sowie die Breite und Hoehe des Bildschirms werden als Parameter uebergeben.

  Parameters:
    `pLinks` - der Abstand des Fensters vom linken Bildschirmrand
    `pOben` - der Abstand des Fensters vom oberen Bildschirmrand
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Hoehe des Fensters
    `pMitDoubleBuffering` - soll der Bildschim gepuffert werden

### Bildschirm

    protected Bildschirm(int pLinks,
                         int pOben,
                         int pBreite,
                         int pHoehe,
                         String pName,
                         boolean pMitDoubleBuffering)

  Der Bildschirm ist mit seiner Zeichenebene initialisiert. Die linke obere Ecke sowie die Breite und Hoehe des Bildschirms werden als Parameter uebergeben.

  Parameters:
    `pLinks` - der Abstand des Fensters vom linken Bildschirmrand
    `pOben` - der Abstand des Fensters vom oberen Bildschirmrand
    `pBreite` - die Breite des Fensters
    `pHoehe` - die Hoehe des Fensters
    `pAlsFenster` - der Bildschim ist ein zusätzliches Fenster
    `pMitDoubleBuffering` - soll der Bildschim gepuffert werden

Method Detail

### bearbeiteFokusErhalten

    protected void bearbeiteFokusErhalten()

  wird intern aufgerufen.

### besitztFokus

    public boolean besitztFokus()

  Liefert die Information, ob der Bildschirm den Fokus besitzt.

  Returns:
    true, wenn das Fenster den Fokus besitzt.

### breite

    public int breite()

  liefert die Breite der Zeichenebene.

  Returns:
    die aktuelle Breite des Fensters

### doUpdate

    public void doUpdate(JComponent pKomponente)

  wird intern aufgerufen.

### g

    protected Graphics g()

  wird intern aufgerufen.

### gibFrei

    public void gibFrei()

  Der Bildschirm wird zerstoert.

### hintergrundfarbe

    public Color hintergrundfarbe()

  wird intern aufgerufen.

### hoehe

    public int hoehe()

  liefert die Hoehe der Zeichenebene.

  Returns:
    die aktuelle Hoehe des Fensters

### immerNachVorn

    public void immerNachVorn()

  Der Bildschirm (das Fenster) wird ganz nach vorn geholt und steht in Zukunft vor allen andern Fenstern.

### init2DGraphics

    protected void init2DGraphics()

  wird intern aufgerufen.

### loescheAlles

    public void loescheAlles()

  Die Zeichenebene ist danach leer.

### merkeGroesse

    protected void merkeGroesse(int x,
                                int y)

  wird intern aufgerufen.

### nachHinten

    public void nachHinten()

  Der Bildschirm (das Fenster) wird nach hinten verschoben und verliert den Fokus.

### nachVorn

    public void nachVorn()

  Der Bildschirm (das Fenster) wird nach vorn geholt und erhält den Fokus.

### paint

    public void paint(Graphics g)

  wird intern aufgerufen.

  Overrides:
    `paint` in class `Container`

### privatPanel

    public JPanel privatPanel()

  wird intern aufgerufen.

### setzeFarbe

    public void setzeFarbe(Color pFarbe)

  aendert die Hintergrundfarbe der Zeichenebene.

  Parameters:
    `pFarbe` - die neue Farbe des Fensterhintergrundes.

### setzeFarbe

    public void setzeFarbe(int pFarbe)

  aendert die Hintergrundfarbe der Zeichenebene.

  Parameters:
    `pFarbe` - die neue Farbe des Fensterhintergrundes.

### setzeFokus

    public void setzeFokus()

  Der Bildschirm erhaelt den Fokus.

### update

    public void update(Graphics g)

  wird intern aufgerufen.

  Overrides:
    `update` in class `JFrame`

### verstecke

    public void verstecke()

  Der Bildschirm wird unsichtbar.

### warte

    protected void warte(long zeit)

  wird intern aufgerufen.

### zeichneDich

    public void zeichneDich()

  wenn der Blildschirm gepuffert ist, wird das gepufferte Bild jetzt angezeigt, falls der Bildschirm nicht gepuffert ist, bewirkt diese Anweisung nichts.

### zeige

    public void zeige()

  Der Bildschirm wird sichtbar.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD